delete from PTEMELJ; 

-- konto - zneski

insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, GRUPA, RACUN, VRSTA_ZNESKA) 
select {?COMPUTER}, d.KONTO_SIT,  0, b.CENABD*(1-b.popust/100),  f.PC, f.PROCENT, 1, d.OPIS, a.N_RACUNA, 'Z' from 
Saldkont a, racun_data b, m_storitve c, temgru d, nvezasg e, storpc f 
where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and
a.id_saldkont=b.id_saldkont and
b.id_storitve=c.id_storitve and
c.storitev=e.sif_stor and
e.sif_grupe=d.sifra and 
c.storitev=f.storitev and
a.valuta_rn <> 'EUR';

insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, GRUPA, RACUN,VRSTA_ZNESKA) 
select {?COMPUTER}, d.KONTO_DEM,  0, b.CENABD*(1-b.popust/100),  f.PC, f.PROCENT, 1, d.OPIS, a.N_RACUNA, 'Z' from 
Saldkont a, racun_data b, m_storitve c, temgru d, nvezasg e, storpc f 
where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and
a.id_saldkont=b.id_saldkont and
b.id_storitve=c.id_storitve and
c.storitev=e.sif_stor and
e.sif_grupe=d.sifra and 
c.storitev=f.storitev and
a.valuta_rn = 'EUR';

-- protikonto zneski

insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, GRUPA, RACUN,VRSTA_ZNESKA) 
select {?COMPUTER}, d.PKONTO, b.CENABD*(1-b.popust/100), 0,  f.PC, f.PROCENT , 1, d.OPIS, a.N_RACUNA, 'Z' from 
Saldkont a, racun_data b, m_storitve c, temgru d, nvezasg e, storpc f
where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and
a.id_saldkont=b.id_saldkont and
b.id_storitve=c.id_storitve and
c.storitev=e.sif_stor and
e.sif_grupe=d.sifra  and
c.storitev=f.storitev and
a.valuta_rn <> 'EUR'; 

insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, GRUPA, RACUN,VRSTA_ZNESKA) 
select {?COMPUTER}, d.PKONTO_DEM,  b.CENABD*(1-b.popust/100), 0, f.PC, f.PROCENT , 1, d.OPIS, a.N_RACUNA, 'Z' from 
Saldkont a, racun_data b, m_storitve c, temgru d, nvezasg e, storpc f
where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and
a.id_saldkont=b.id_saldkont and
b.id_storitve=c.id_storitve and
c.storitev=e.sif_stor and
e.sif_grupe=d.sifra  and
c.storitev=f.storitev and
a.valuta_rn = 'EUR'; 



-- konto davki

insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, KUPEC, PROCENT_DAVKA, GRUPA, RACUN,VRSTA_ZNESKA) 
select {?COMPUTER}, d.DKONTO_SIT, 0, b.ZN_DAVKA,  f.PC, f.PROCENT, 1, a.id_kupca, b.DAV_STOPNJA, d.OPIS, a.N_RACUNA, 'D' from 
Saldkont a, racun_data b, m_storitve c, temgru d, nvezasg e , storpc f
where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and
a.id_saldkont=b.id_saldkont and
b.id_storitve=c.id_storitve and
c.storitev=e.sif_stor and
e.sif_grupe=d.sifra and 
c.storitev=f.storitev and
a.valuta_rn <> 'EUR';

insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, KUPEC, PROCENT_DAVKA, GRUPA, RACUN,VRSTA_ZNESKA) 
select {?COMPUTER}, d.DKONTO_DEM, 0, b.ZN_DAVKA,  f.PC, f.PROCENT, 1, a.id_kupca, b.DAV_STOPNJA, d.OPIS, a.N_RACUNA, 'D'  from 
Saldkont a, racun_data b, m_storitve c, temgru d, nvezasg e, storpc f
where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and
a.id_saldkont=b.id_saldkont and
b.id_storitve=c.id_storitve and
c.storitev=e.sif_stor and
e.sif_grupe=d.sifra and 
c.storitev=f.storitev and
a.valuta_rn = 'EUR';

-- protikonto davki

insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, GRUPA, RACUN,VRSTA_ZNESKA) 
select {?COMPUTER}, d.DPKONTO,  b.ZN_DAVKA, 0,  f.PC, f.PROCENT , 1, d.OPIS, a.N_RACUNA, 'D' from 
Saldkont a, racun_data b, m_storitve c, temgru d, nvezasg e, storpc f
where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and
a.id_saldkont=b.id_saldkont and
b.id_storitve=c.id_storitve and
c.storitev=e.sif_stor and
c.storitev=f.storitev and
e.sif_grupe=d.sifra and
a.valuta_rn <> 'EUR'; 

insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, GRUPA, RACUN,VRSTA_ZNESKA) 
select {?COMPUTER}, d.DPKONTO_DEM,  b.ZN_DAVKA, 0,  f.PC, f.PROCENT , 1, d.OPIS, a.N_RACUNA, 'D' from 
Saldkont a, racun_data b, m_storitve c, temgru d, nvezasg e, storpc f
where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and
a.id_saldkont=b.id_saldkont and
b.id_storitve=c.id_storitve and
c.storitev=e.sif_stor and
c.storitev=f.storitev and
e.sif_grupe=d.sifra and
a.valuta_rn = 'EUR'; 

COMMIT;